Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006214opensim[REGION] OpenSim Corepublic2011-11-08 15:452014-07-29 13:41
ReporterBruce 
Assigned Tosmxy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006214: Friends and IM over the hypergrid is no longer working for standalones
DescriptionIM recipient receives message from sender but can not reply because system tab shows sender is not online although in friends, sender is shown as online.

Console of sender shows [INSTANT MESSAGE]: Caught unexpected exception

In other words, one member of friends can send message but the other one cannot respond.
Steps To ReproduceSend IMs from an HG enabled standalone to a friend on an other HG enabled standalone or HG enabled grid.
TagsNo tags attached.
Git Revision or version number5ddf3d3c2ad303ff9b82c892b3fdfd1cc9c5543e (r/17198 of 06 Nov 11)
Run Mode Standalone (Multiple Regions)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerImp. 1.4.0 beta 2
Attached Files

- Relationships

-  Notes
(0022322)
Bruce (reporter)
2011-11-10 14:32

Suspect that this started with 08fcf958c278c703a790fd964a5af74425bcf67d (r/17157 of 2011-11-02) as it refers to FriendsModule.cs and related matters.
(0022323)
Bruce (reporter)
2011-11-12 10:56

Mantis 005790 may be related to this mantis 005784
(0022324)
nebadon (administrator)
2011-11-14 08:55

Bruce can you please test with git hash 49ec85ae154a8062e6fcf8bad95ecc3b611e7812

http://opensimulator.org/viewgit/?a=commit&p=opensim&h=49ec85ae154a8062e6fcf8bad95ecc3b611e7812 [^]

and see if this resolves your issues, thanks!
(0022325)
Bruce (reporter)
2011-11-15 16:45

Instant message error no longer appears in console but otherwise not resolved. Tested with e11b9dddb6e792099eabf6b5fe630db27510c6c8 (r/17277 of 15 Nov 11).
(0022326)
Bruce (reporter)
2011-12-31 09:43
edited on: 2011-12-31 11:54

Just confirming that friends and IM over the hypergrid is not working for standalones. Tested with hash 56dbcae402000e199e556827944dfdd1bb3a64be (r/17676 of 2011-12-31). Reproduced today using one HG enabled standalone and one HG enabled grid. Previously (Nov 6 to 15) reproduced with two HG enabled standalones and one HG enabled grid. Need more HG enabled standalones and grids to test conclusively, preferably all using same git master.

(0022327)
smxy (reporter)
2012-01-04 06:19
edited on: 2012-01-04 15:44

I set up two standalones to find the break, which I have done, by bisecting. Reproducability is 100%. My test scenario was:

0) Start with empty Friends tables in both SA's DBs.

1) AV1 (who resides in SA1) HG TPs from SA1 to SA2.
2) AV1 offers AV2 (who resides in SA2) friendship.
3) AV2 accepts the offer of friendship.
4) AV1 acknowledges the acceptance of the friendship request.
5) AV1 returns to SA1.

6) When working: AV1 is prompted to confirm the friendship. Proper entries are found in the Friends table of each SA's DB.
6) When broken: AV1 is not prompted to confirm the friendship. SA2's DB has improper entries in its Friends table. SA1's Friends table is empty.

This works correctly up to r/17671 (42f5394677a0a033e501f343cc3ccf02627e09d8) and is broken in r/17672 (571efeddb20f38bb4164074b3c217be5387ca2e0) and beyond.

(0022328)
smxy (reporter)
2012-01-10 10:15

This is fixed on commit a22d0dcab91607017e2f054b68c113294d04c821 (r/17770).

- Issue History
Date Modified Username Field Change
2012-08-18 04:32 DMX04 New Issue
2012-08-18 04:32 DMX04 Issue generated from: 0005784
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker